MAINTAINERCLEANFILES = Makefile.in

EDJE_CC = @edje_cc@
EDJE_FLAGS = \
-id $(top_srcdir)/data/themes/hedley \
-fd $(top_srcdir)/data/themes/hedley

filesdir = $(datadir)/netbook-launcher-efl/data/themes
files_DATA = hedley.edj

EDJE_SRCS = \
arrow-left.png \
arrow-right.png \
background.png \
eject.png \
error-bg.png \
favorite_add.png \
favorite_del.png \
iconviewbg.png \
item-bg.png \
item-border-launched.png \
open.png \
scrollbar-bg.png \
scrollbar-knob.png \
sidebar_item_arrow.png \
sidebar_item_bg.png \
cog.png \
text-bg.png

EXTRA_DIST = hedley.edc $(EDJE_SRCS)

hedley.edj: Makefile hedley.edc $(EDJE_SRCS)
	$(EDJE_CC) $(EDJE_FLAGS) \
	$(top_srcdir)/data/themes/hedley/hedley.edc \
	$(top_builddir)/data/themes/hedley/hedley.edj

clean-local:
	rm -f $(files_DATA)
